Subject: Re: how to install patch
From: "Tim Gong" <[email-masked]>
To: "David Starks-Browning" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 10 Sep 2001 21:31:11 -0500

What I meant was I followed the instructions of the FAQ to install snapshot
of 9/1/2001, the snapshot is supposed to have the pthread_equal() fix, the
test program indicates the fix is not installed. So there must be something
wrong with the installation instructions.

Tim

----- Original Message -----
From: "David Starks-Browning" <[email-masked]>
To: "Tim Gong" <[email-masked]>
Sent: Monday, September 10, 2001 5:18 AM
Subject: Re: how to install patch

> Please help me out here.  What exactly does your message have to do
> with the FAQ entry?
>
> Thanks,
> David
>
> On Saturday 8 Sep 01, Tim Gong writes:
> > I used that procedure to apply the Septerm 7 snapshot
cygwin-inst-20010907.tar.bz2.
> > The reason is I need the fix to pthread_equal(), which should have been
patched (see
> > http://sources.redhat.com/ml/cygwin/2001-07/msg01531.html). But after I
rebuild the
> > program:
> >
> > #include <stdio.h>
> > #include <pthread.h>
> >
> > // #define pthread_equal(A, B) !::pthread_equal(A, B)
> >
> >
> >   main()
> >   {
> >      printf("%d\n", pthread_equal(pthread_self(), pthread_self()));
> >      exit(0);
> >   }
> >
> > The result is still 0. If I take out the comment before the #define,
then the result is 1. This
> > seems to indicate the library doesn't have the patch built in. But I
examined the thread.cc,
> > and it seems the patch is there. So what is happening? I noticed that
another fellow has
> > similar problem with regard to this (see
http://sources.redhat.com/ml/cygwin/2001-09/msg00111.html
> > and follow the reference).
> >
> > Thanks.
> >
> > Tim
> >
> >
> > ----- Original Message -----
> > From: "David Starks-Browning" <[email-masked]>
> > To: "Tim Gong" <[email-masked]>
> > Cc: <[email-masked]>
> > Sent: Saturday, September 08, 2001 11:56 AM
> > Subject: Re: how to install patch
> >
> >
> > > On Monday 3 Sep 01, Tim Gong writes:
> > > > Once I get cygwin-inst-20010901.tar.bz2 and bunzip2 it, do I extract
> > > > the files and overwrite the original directory?
> > >
> > > There is a FAQ entry "Can I use setup to install snapshots?" (which I
> > > will probably rename to "How do I install snapshots") that should
> > > tell you everything you need.  If it's not complete, let us know.
> > > (The list, not me personally.)
> > >
> > > Cheers,
> > > David
> > >
> > <!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
> > <HTML><HEAD>
> > <META http-equiv=Content-Type content="text/html; charset=iso-8859-1">
> > <META content="MSHTML 5.50.4522.1800" name=GENERATOR>
> > <STYLE></STYLE>
> > </HEAD>
> > <BODY>
> > <DIV><FONT face=Arial size=2>I used that procedure to apply the Septerm
7
> > snapshot cygwin-inst-20010907.tar.bz2.</FONT></DIV>
> > <DIV><FONT face=Arial size=2>The reason is I need the fix to
pthread_equal(),
> > which should have been patched (see</FONT></DIV>
> > <DIV><FONT face=Arial size=2><A
> >
href="http://sources.redhat.com/ml/cygwin/2001-07/msg01531.html">http://sour
ces.redhat.com/ml/cygwin/2001-07/msg01531.html</A>).
> > But after I rebuild the</FONT></DIV>
> > <DIV><FONT face=Arial size=2>program:</FONT></DIV>
> > <DIV><FONT face=Arial size=2></FONT>&nbsp;</DIV>
> > <DIV><FONT face=Arial size=2>#include &lt;stdio.h&gt;<BR>#include
> > &lt;pthread.h&gt;<BR></FONT></DIV>
> > <DIV><FONT face=Arial size=2>// #define pthread_equal(A, B)
!::pthread_equal(A,
> > B)</FONT></DIV>
> > <DIV>&nbsp;</DIV><FONT face=Arial size=2>
> > <DIV><BR>&nbsp; main()<BR>&nbsp; {<BR>&nbsp;&nbsp;&nbsp;&nbsp;
printf("%d\n",
> > pthread_equal(pthread_self(),
pthread_self()));<BR>&nbsp;&nbsp;&nbsp;&nbsp;
> > exit(0);<BR>&nbsp; }</DIV>
> > <DIV>&nbsp;</DIV>
> > <DIV>The result is still 0. If I take out the comment before the
#define, then
> > the result is 1. This</DIV>
> > <DIV>seems to indicate the library doesn't have the patch built in. But
I
> > examined the thread.cc,</DIV>
> > <DIV>and it seems the patch is there. So what is happening? I noticed
that
> > another fellow has</DIV>
> > <DIV>similar problem with regard to this (see <A
> >
href="http://sources.redhat.com/ml/cygwin/2001-09/msg00111.html">http://sour
ces.redhat.com/ml/cygwin/2001-09/msg00111.html</A></DIV>
> > <DIV>and follow the reference).</DIV>
> > <DIV>&nbsp;</DIV>
> > <DIV>Thanks.</DIV>
> > <DIV>&nbsp;</DIV>
> > <DIV>Tim</DIV>
> > <DIV></FONT>&nbsp;</DIV>
> > <DIV><FONT face=Arial size=2></FONT>&nbsp;</DIV>
> > <DIV><FONT face=Arial size=2>----- Original Message ----- </FONT>
> > <DIV><FONT face=Arial size=2>From: "David Starks-Browning" &lt;</FONT><A
> > href="mailto:[email-masked]"><FONT face=Arial
> > size=2>[email-masked]</FONT></A><FONT face=Arial
size=2>&gt;</FONT></DIV>
> > <DIV><FONT face=Arial size=2>To: "Tim Gong" &lt;</FONT><A
> > href="mailto:[email-masked]"><FONT face=Arial
> > size=2>[email-masked]</FONT></A><FONT face=Arial
size=2>&gt;</FONT></DIV>
> > <DIV><FONT face=Arial size=2>Cc: &lt;</FONT><A
> > href="mailto:[email-masked]"><FONT face=Arial
> > size=2>[email-masked]</FONT></A><FONT face=Arial
size=2>&gt;</FONT></DIV>
> > <DIV><FONT face=Arial size=2>Sent: Saturday, September 08, 2001 11:56
> > AM</FONT></DIV>
> > <DIV><FONT face=Arial size=2>Subject: Re: how to install
> > patch</FONT></DIV></DIV>
> > <DIV><FONT face=Arial><BR><FONT size=2></FONT></FONT></DIV><FONT
face=Arial
> > size=2>&gt; On Monday 3 Sep 01, Tim Gong writes:<BR>&gt; &gt; Once I get
> > cygwin-inst-20010901.tar.bz2 and bunzip2 it, do I extract<BR>&gt; &gt;
the files
> > and overwrite the original directory?<BR>&gt; <BR>&gt; There is a FAQ
entry "Can
> > I use setup to install snapshots?" (which I<BR>&gt; will probably rename
to "How
> > do I install snapshots") that should<BR>&gt; tell you everything you
need.&nbsp;
> > If it's not complete, let us know.<BR>&gt; (The list, not me
> > personally.)<BR>&gt; <BR>&gt; Cheers,<BR>&gt; David<BR>&gt;
> > </FONT></BODY></HTML>
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/